#pragma once
#include <map>
struct M_LanguageCFGData
{
	//key
	int mID;
	//ÖÐÎÄÃû×Ö
	std::string mName;
};

class M_LanguageCFG
{
public:
private:
	static std::auto_ptr<M_LanguageCFG> msSingleton;
public:
	int GetCount();
	const M_LanguageCFGData* GetData(int ID);
	const std::map<int, M_LanguageCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_LanguageCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_LanguageCFGData> mMapData;
};
